opsiconfd startet nach update nicht mehr

uncle_scrooge
Beiträge: 639
Registriert: 21 Feb 2012, 12:03
Wohnort: Mainz

opsiconfd startet nach update nicht mehr

Beitragvon uncle_scrooge » 14 Jun 2012, 10:56

Moin.

Nach update auf Version 4.0.2.1-1.1 startet opsiconfd nicht mehr:
[root@opsimaster log]# service opsiconfd start
Starting opsi config service..Traceback (most recent call last):
File "/usr/bin/opsiconfd", line 12, in ?
from opsiconfd.opsiconfd import main
File "/usr/lib/python2.4/site-packages/opsiconfd/opsiconfd.py", line 83, in ?
from omb import MessageBusService, OpsiconfdHTTPFactory, OpsiconfdHTTPChannel
File "/usr/lib/python2.4/site-packages/opsiconfd/omb.py", line 35, in ?
import hashlib, base64, random
ImportError: No module named hashlib
.......... (failed).

System ist ein CentOS 5.7, das bisher recht schmerzfrei mit OPSI harmonierte.

Installierte Updates zwischen 'Geht' und 'Geht nicht mehr':
Jun 12 11:27:45 Updated: python-opsi-4.0.2.1-1.1.noarch
Jun 12 11:27:48 Updated: opsi-utils-4.0.2.1-1.1.noarch
Jun 12 11:27:53 Updated: opsipxeconfd-4.0.2.1-1.1.noarch
Jun 12 11:28:12 Updated: xulrunner-10.0.5-1.el5_8.i386
Jun 12 11:28:26 Updated: firefox-10.0.5-1.el5.centos.i386
Jun 12 11:29:05 Installed: kernel-2.6.18-308.8.1.el5.i686
Jun 12 11:29:13 Updated: tzdata-2012c-1.el5.i386
Jun 12 11:29:17 Updated: tzdata-java-2012c-1.el5.i386
Jun 12 11:29:21 Updated: openssl-0.9.8e-22.el5_8.4.i686
Jun 12 11:29:24 Updated: 1:openoffice.org-ure-3.1.1-19.10.el5_8.3.i386
Jun 12 11:30:06 Updated: 1:openoffice.org-core-3.1.1-19.10.el5_8.3.i386
Jun 12 11:30:07 Updated: 30:bind-libs-9.3.6-20.P1.el5_8.1.i386
Jun 12 11:30:11 Updated: 1:net-snmp-libs-5.3.2.2-17.el5_8.1.i386
Jun 12 11:30:15 Updated: 1:openoffice.org-calc-3.1.1-19.10.el5_8.3.i386
Jun 12 11:30:17 Updated: postgresql-libs-8.1.23-4.el5_8.i386
Jun 12 11:30:20 Updated: 1:net-snmp-5.3.2.2-17.el5_8.1.i386
Jun 12 11:30:21 Updated: 30:bind-utils-9.3.6-20.P1.el5_8.1.i386
Jun 12 11:30:22 Updated: 1:openoffice.org-draw-3.1.1-19.10.el5_8.3.i386
Jun 12 11:30:23 Updated: 1:openoffice.org-math-3.1.1-19.10.el5_8.3.i386
Jun 12 11:30:24 Updated: 1:openoffice.org-graphicfilter-3.1.1-19.10.el5_8.3.i386
Jun 12 11:30:27 Updated: 1:openoffice.org-writer-3.1.1-19.10.el5_8.3.i386
Jun 12 11:30:29 Updated: 1:openoffice.org-impress-3.1.1-19.10.el5_8.3.i386
Jun 12 11:30:33 Updated: httpd-2.2.3-65.el5.centos.i386
Jun 12 11:30:36 Updated: binutils-2.17.50.0.6-20.el5_8.3.i386
Jun 12 11:30:38 Updated: 2:tar-1.15.1-32.el5_8.i386
Jun 12 11:30:51 Updated: opsiconfd-4.0.2.1-1.1.i386
Jun 12 11:30:53 Updated: 1:openoffice.org-xsltfilter-3.1.1-19.10.el5_8.3.i386
Jun 12 11:30:59 Updated: opsi-depotserver-4.0.2.1-1.1.noarch

Wenn jemand eine hilfreiche Idee hat....
Danke und Gruß

Benutzeravatar
tobias
Beiträge: 1284
Registriert: 20 Aug 2008, 12:36
Wohnort: Braunschweig
Kontaktdaten:

Re: opsiconfd startet nach update nicht mehr

Beitragvon tobias » 14 Jun 2012, 11:15

schonmal die üblichen Befehle wie

opsi-setup --init-current-config ausprobiert?
Veröffentliche deine WINST Scripte im OPSI Wiki und leiste so einen wertvollen Beitrag für die Community !!!
https://forum.opsi.org/wiki/

uncle_scrooge
Beiträge: 639
Registriert: 21 Feb 2012, 12:03
Wohnort: Mainz

Re: opsiconfd startet nach update nicht mehr

Beitragvon uncle_scrooge » 14 Jun 2012, 11:21

Yep.

Benutzeravatar
d.oertel
uib-Team
Beiträge: 3286
Registriert: 04 Jun 2008, 14:27

Re: opsiconfd startet nach update nicht mehr

Beitragvon d.oertel » 15 Jun 2012, 13:01

Hi,

sorry ist ein bug in den CentOS Paketen- fix ist in arbeit ...

gruß
d.oertel
opsi support - uib gmbh

For productive opsi installations we recommend support contracts.
http://www.uib.de
http://www.opsi.org

uncle_scrooge
Beiträge: 639
Registriert: 21 Feb 2012, 12:03
Wohnort: Mainz

Re: opsiconfd startet nach update nicht mehr

Beitragvon uncle_scrooge » 15 Jun 2012, 13:19

Danke für die Rückmeldung.
War schon drauf und dran die Maschine neu zu installieren....

Gruß aus Mainz nach Mainz

b.boos
Beiträge: 17
Registriert: 05 Apr 2011, 11:07

Re: opsiconfd startet nach update nicht mehr

Beitragvon b.boos » 16 Aug 2012, 13:10

Hallo,

hab mal wieder ein update vom opsi gemacht und nu hab ich ebenfalls obenbeschriebenes Problem.

Gibt es schon eine Lösung?


Gruß
Björn
Centos 6
Opsi 4.0.4

b.boos
Beiträge: 17
Registriert: 05 Apr 2011, 11:07

Re: opsiconfd startet nach update nicht mehr

Beitragvon b.boos » 17 Aug 2012, 09:48

Guten Morgen,

sorry ich will nicht nerven aber ist schon etwas bekannt, was wir CentOS user machen können, damit Opsi wieder läuft?


Gruß
Björn
Centos 6
Opsi 4.0.4

Benutzeravatar
d.oertel
uib-Team
Beiträge: 3286
Registriert: 04 Jun 2008, 14:27

Re: opsiconfd startet nach update nicht mehr

Beitragvon d.oertel » 17 Aug 2012, 11:26

Hi,

soweit ich das sehe,
ist das Problem in den Paketen gefixed, welche derzeit in den experimental repositories liegen:

http://download.opensuse.org/repositories/home:/uibmz:/opsi:/opsi40-experimental/CentOS_CentOS-5/noarch/opsiconfd-4.0.2.3-4.1.noarch.rpm

Selbige werden wohl in den nächsten Tagen Ihren Weg über testing nach stable nehmen.

gruss
d.oertel
opsi support - uib gmbh

For productive opsi installations we recommend support contracts.
http://www.uib.de
http://www.opsi.org

b.boos
Beiträge: 17
Registriert: 05 Apr 2011, 11:07

Re: opsiconfd startet nach update nicht mehr

Beitragvon b.boos » 17 Aug 2012, 11:41

Hi,

hab das experimental installiert, folgende Meldungen wurden ausgegeben:

Code: Alles auswählen

Downloading Packages:
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Updating       : opsiconfd                                                                                                                                       1/16
/var/tmp/rpm-tmp.8192: line 1: fg: no job control
Error in PREUN scriptlet in rpm package o
/var/tmp/rpm-tmp.8192: line 1: fg: no job control
Error in PREUN scriptlet in rpm package o
/var/tmp/rpm-tmp.8192: line 1: fg: no job control
Error in PREUN scriptlet in rpm package o
/var/tmp/rpm-tmp.8192: line 1: fg: no job control
Error in PREUN scriptlet in rpm package o
/var/tmp/rpm-tmp.8192: line 1: fg: no job control
Error in PREUN scriptlet in rpm package o
/var/tmp/rpm-tmp.8192: line 1: fg: no job control
Error in PREUN scriptlet in rpm package o
/var/tmp/rpm-tmp.8192: line 1: fg: no job control
Error in PREUN scriptlet in rpm package o
/var/tmp/rpm-tmp.8192: line 1: fg: no job control
Error in PREUN scriptlet in rpm package o
/var/tmp/rpm-tmp.8192: line 1: fg: no job control
Error in PREUN scriptlet in rpm package o
/var/tmp/rpm-tmp.8192: line 1: fg: no job control
Error in PREUN scriptlet in rpm package o
/var/tmp/rpm-tmp.8192: line 1: fg: no job control
Error in PREUN scriptlet in rpm package o
/var/tmp/rpm-tmp.8192: line 1: fg: no job control
Error in PREUN scriptlet in rpm package o
/var/tmp/rpm-tmp.8192: line 1: fg: no job control
Error in PREUN scriptlet in rpm package o
/var/tmp/rpm-tmp.8192: line 1: fg: no job control
Error in PREUN scriptlet in rpm package o
  Cleanup        : opsiconfd                                                                                                                                       2/16
error: %preun(opsiconfd-4.0-15.1.noarch) scriptlet failed, exit status 1
error: %preun(opsiconfd-4.0-15.7.noarch) scriptlet failed, exit status 1
error: %preun(opsiconfd-4.0.0.1-1.1.noarch) scriptlet failed, exit status 1
error: %preun(opsiconfd-4.0.0.2-2.1.noarch) scriptlet failed, exit status 1
error: %preun(opsiconfd-4.0.0.3-1.1.noarch) scriptlet failed, exit status 1
error: %preun(opsiconfd-4.0.0.3-1.2.noarch) scriptlet failed, exit status 1
error: %preun(opsiconfd-4.0.0.3-1.5.noarch) scriptlet failed, exit status 1
error: %preun(opsiconfd-4.0.0.3-1.6.noarch) scriptlet failed, exit status 1
error: %preun(opsiconfd-4.0.1-6.1.noarch) scriptlet failed, exit status 1
error: %preun(opsiconfd-4.0.1-7.1.noarch) scriptlet failed, exit status 1
error: %preun(opsiconfd-4.0.1-8.4.noarch) scriptlet failed, exit status 1
error: %preun(opsiconfd-4.0.1-8.6.noarch) scriptlet failed, exit status 1
error: %preun(opsiconfd-4.0.1-8.7.noarch) scriptlet failed, exit status 1
error: %preun(opsiconfd-4.0.1-8.8.noarch) scriptlet failed, exit status 1
/var/tmp/rpm-tmp.8192: line 1: fg: no job control


allerdings läuft der opsicond wieder und ich kann die Leute wieder mit Software versorgen.

Vielen Dank.

schonmal ein schönes WE.

Björn
Centos 6
Opsi 4.0.4

b.boos
Beiträge: 17
Registriert: 05 Apr 2011, 11:07

Re: opsiconfd startet nach update nicht mehr

Beitragvon b.boos » 24 Aug 2012, 12:13

Hallo,

gibt es schon die Stable Version von dem BugFix?


Gruß und schönes WE

Björn
Centos 6
Opsi 4.0.4